<?php

namespace Dedi\SyliusCmsPlugin\Form\Type\UiElement;

use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\ImageType;
use MonsieurBiz\SyliusRichEditorPlugin\Form\Type\UiElement\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\FormBuilderInterface;

class SimpleTextType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('title', SEOTitleType::class, [
                'label' => 'dedi_cms.ui_element.text_and_image.title',
                'required' => false,
            ])
            ->add('text', TextType::class, [
                'label' => 'dedi_cms.ui_element.text_and_image.content',
            ])
            ->add('link', SEOLinkType::class, [
                'label' => 'dedi_cms.ui_element.text_and_image.link',
                'required' => false,
            ])
        ;
    }
}
